Save files
curl --request POST \
--url https://sandbox.tight.com/v6/files \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": [
{
"description": "Q1 2024 invoice",
"id": "fil_28868401",
"entityId": "btxn_28868401",
"notes": "Received from vendor on 2024-01-15",
"date": "2024-01-15",
"amount": 15000,
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
}
]
}
'import requests
url = "https://sandbox.tight.com/v6/files"
payload = { "data": [
{
"description": "Q1 2024 invoice",
"id": "fil_28868401",
"entityId": "btxn_28868401",
"notes": "Received from vendor on 2024-01-15",
"date": "2024-01-15",
"amount": 15000,
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: [
{
description: 'Q1 2024 invoice',
id: 'fil_28868401',
entityId: 'btxn_28868401',
notes: 'Received from vendor on 2024-01-15',
date: '2024-01-15',
amount: 15000,
customData: {internal_key: 'some_internal_key', some_other_field: 23434}
}
]
})
};
fetch('https://sandbox.tight.com/v6/files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"data": {
"id": "fil_28868401",
"entity": {
"id": "btxn_28868401"
},
"description": "Q1 2024 invoice",
"notes": "Received from vendor on 2024-01-15",
"url": "https://cdn.sandbox.tight.com/files/fil_28868401.pdf",
"date": "2024-01-15",
"amount": 15000,
"status": "ACTIVE",
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
},
"error": [
{
"message": "<string>",
"param": "<string>"
}
]
}
],
"error": [
{
"message": "<string>",
"param": "<string>"
}
]
}{
"data": [
{
"data": {
"id": "fil_28868401",
"entity": {
"id": "btxn_28868401"
},
"description": "Q1 2024 invoice",
"notes": "Received from vendor on 2024-01-15",
"url": "https://cdn.sandbox.tight.com/files/fil_28868401.pdf",
"date": "2024-01-15",
"amount": 15000,
"status": "ACTIVE",
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
},
"error": [
{
"message": "<string>",
"param": "<string>"
}
]
}
],
"error": [
{
"message": "<string>",
"param": "<string>"
}
]
}{
"data": [
{
"data": {
"id": "fil_28868401",
"entity": {
"id": "btxn_28868401"
},
"description": "Q1 2024 invoice",
"notes": "Received from vendor on 2024-01-15",
"url": "https://cdn.sandbox.tight.com/files/fil_28868401.pdf",
"date": "2024-01-15",
"amount": 15000,
"status": "ACTIVE",
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
},
"error": [
{
"message": "<string>",
"param": "<string>"
}
]
}
],
"error": [
{
"message": "<string>",
"param": "<string>"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "INVALID_TOKEN",
"message": "Invalid access token"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "FORBIDDEN",
"message": "Expired access token"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "BAD_REQUEST",
"message": "Resource not found"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "UNKNOWN_ERROR",
"message": "Something went wrong. Please try again later."
}
]
}Files
Save files
Save new (or update existing) files
POST
/
v6
/
files
Save files
Authorizations
Bearer authentication header of the form Bearer <token>, see Authentication for more detail.
Body
application/json
Show child attributes
Show child attributes
⌘I